#!/usr/bin/env bash
# ----------------------------------------------------------------------------
#
# This variable should be set to the directory where is installed PROACTIVE
#

CLASSPATH=.

# User envrionment variable
if [ ! -z "$PROACTIVE_HOME" ] ; then
	PROACTIVE=$PROACTIVE_HOME
fi


# Internal ProActive scripts can override $PROACTIVE
if [ -z "$PROACTIVE" ]
then
	PROACTIVE=$(cd $workingDir/.././ || (echo "Broken PROACTIVE installation" ; exit 1) && echo $PWD)

fi


# ----------------------------------------------------------------------------


JAVA_HOME=${JAVA_HOME-NULL};
if [ "$JAVA_HOME" = "NULL" ]
then
echo
echo "The enviroment variable JAVA_HOME must be set the current jdk distribution"
echo "installed on your computer."
echo "Use "
echo "    export JAVA_HOME=<the directory where is the JDK>"
exit 127
fi

# ----
# Set up the classpath using classes dir or jar files
#

# Test if classes exists and is not empty
if [ -d $PROACTIVE/classes/Core ]
then
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Core
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Extensions
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Extra
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Examples
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Benchmarks
    CLASSPATH=$CLASSPATH:$PROACTIVE/classes/Utils
    for i in $PROACTIVE/lib/*.jar ; do
      CLASSPATH=$CLASSPATH:$i
    done
else
    CLASSPATH=$CLASSPATH:$PROACTIVE/dist/lib/ProActive.jar
    CLASSPATH=$CLASSPATH:$PROACTIVE/dist/lib/ProActive_examples.jar
    CLASSPATH=$CLASSPATH:$PROACTIVE/dist/lib/ProActive_utils.jar
fi

#echo "CLASSPATH"=$CLASSPATH
export CLASSPATH


JAVACMD=$JAVA_HOME"/bin/java -Djava.security.manager -Djava.security.policy=$PROACTIVE/examples/proactive.java.policy -Dlog4j.configuration=file:${PROACTIVE}/examples/proactive-log4j -Dproactive.home=$PROACTIVE "

export PROACTIVE
export JAVACMD
